#ifndef _AVIREADER_H_
#define _AVIREADER_H_

#include <windows.h>
#include <vfw.h>

class C_AviReader {
private:
	PGETFRAME m_pGF;
	int m_nWidth;
	int m_nHeight;
	int m_nRate;
	int m_nFrames;
	int m_nFramesCounter;

public:
	C_AviReader();
	virtual ~C_AviReader();

	BOOL Open(TCHAR *szFileName);
	BOOL Close();
	int Width() {return m_nWidth;}
	int Height() {return m_nHeight;}
	int Size() {return m_nWidth * m_nHeight;}
	int Rate() {return m_nRate;}
	BOOL GetFrame(BYTE *pbFrame);
};

#endif